<?php
/**
 * Copyright © magebig.com - All rights reserved.
 * See LICENSE.txt for license details.
 */

// @codingStandardsIgnoreFile

/** @var $block \Magento\Catalog\Block\Product\View */
?>
<?php $_product = $block->getProduct(); ?>
<?php $buttonTitle = __('Add to Cart'); ?>
<?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$cart = $objectManager->get('\Magento\Checkout\Model\Cart'); 
$items = $cart->getQuote()->getAllItems();
$itemsIds = array();
foreach ($items as $item) {    
    array_push($itemsIds, $item->getProductId());
}
$productId = $_product->getId();

?>
<?php if ($_product->isSaleable()): ?>
    <style type="text/css">
        .cqty {
    max-width: 120px;
    height: 37px;
    text-align: center;
    border: 1px solid #84c225 !important;
}
    </style>
<div class="box-tocart">
    <div class="fieldset-add">
        <div class="field" id="cutomqtysection" style="display: none;">
            <label class="label" for="qty"><span><?= /* @escapeNotVerified */ __('Quantity') ?>:</span></label>
        <div class="control" id="productid<?php echo $productId;?>">
            <div class="custom-qty reduced"><button type="button" class="btn-qty minus"><span class="mbi mbi-minus"></span></button></div>
            <input class="input-text qty cqty" type="text" name="updatedqty<?php echo $productId;?>" id="updatedqty<?php echo $productId;?>" value="">
            <div class="custom-qty increase"><button type="button" class="btn-qty plus"><span class="mbi mbi-plus"></span></button></div>
        </div>
    </div>


        <?php if ($block->shouldRenderQuantity()): ?>
        <div class="field" style="display: none;">
            <label class="label" for="qty"><span><?= /* @escapeNotVerified */ __('Quantity') ?>:</span></label>
            <div class="control" id ="productid<?php echo $productId;?>" name="">
                <div class="custom-qty reduced"><button type="button"  class="btn-qty minus"><span class="mbi mbi-minus"></span></button></div>
                <input
                   name="qty"
                   id="qty"
                   value="<?= /* @escapeNotVerified */ $block->getProductDefaultQty() * 1 ?>"
                   title="<?= /* @escapeNotVerified */ __('Qty') ?>" class="input-text qty"
                   data-validate="<?= $block->escapeHtml(json_encode($block->getQuantityValidators())) ?>"
                />
                <div class="custom-qty increase"><button type="button" class="btn-qty plus"><span class="mbi mbi-plus"></span></button></div>
            </div>
            <?= $this->getLayout()->createBlock("Magento\CatalogInventory\Block\Qtyincrements")->setTemplate("Magento_Catalog::product/view/qtyincrements.phtml")->toHtml() ?>
        </div>
        <?php endif; ?>
        <div class="actions" id="customaddtocart">
            <button type="submit"
                    title="<?= /* @escapeNotVerified */ $buttonTitle ?>"
                    class="action customcart primary tocart"
                    id="product-addtocart-button">
                <span><?= /* @escapeNotVerified */ $buttonTitle ?></span>
            </button>
            <?= $block->getChildHtml('', true) ?>
        </div>
    </div>
</div>
<input type="hidden" readonly name="qute<?php echo $productId;?>" id="qute<?php echo $productId;?>"  value="" >
<?php endif; ?>

<?php if ($block->isRedirectToCartEnabled()) : ?>
    <script type="text/x-magento-init">
    {
        "#product_addtocart_form": {
            "Magento_Catalog/product/view/validation": {
                "radioCheckboxClosest": ".nested"
            }
        }
    }
</script>
<?php else : ?>
    <script type="text/x-magento-init">
    {
        "#product_addtocart_form": {
            "Magento_Catalog/js/validate-product": {}
        }
    }
</script>
<?php endif; ?>
<script type="text/javascript">
	requirejs(['jquery'], function( jQuery ) {
        jQuery(".loading-mask").show();
		var sku ='';
		 setTimeout(function(){
             jQuery(".loading-mask").hide();
		jQuery(".swatch-option").click(function(){
			hitforqote();
		});
		jQuery(".mbi-minus").click(function(){
			var qoteid= jQuery("#qute<?php echo $productId;?>").val();
			//alert(qoteid);
			if (qoteid!="") {
                var uqty = jQuery("#cart-item-"+qoteid+"-qty").val();
                //alert(uqty);
                if (uqty=="1") {
                     //alert(uqty);
                    jQuery('[data-cart-item='+qoteid+']').click();
                    jQuery("#cutomqtysection").hide();
                    jQuery("#customaddtocart").show();
                     jQuery("#updatedqty<?php echo $productId;?>").val('');

                }else{
                jQuery("#minus-cart-item-"+qoteid).click();
                 setTimeout(function(){
                 hitforqote();
            },500);
                }

			}else{

			}
			
		});
		jQuery(".mbi-plus").click(function(){
         jQuery("#product-addtocart-button").click();
         setTimeout(function(){
         hitforqote();
     },1000);
          });
         jQuery("#product-addtocart-button").click(function(){
            setTimeout(function(){
                hitforqote();
            },2000);
        });
     },5000 );


         function hitforqote(){
            setTimeout(function(){
            var sku = jQuery("div[itemprop=sku]").html();
            
            //alert(sku);
            var url ='http://3.6.29.213/deliveryarea/index/index';
            jQuery.ajax({
                     url: url,
                    type: 'POST',
                    data: {
                      sku: sku,
                  },
                  success: function(response) { 

                         //alert(response);
                         if (response!="") {
                            jQuery("#cutomqtysection").show();
                            jQuery("#customaddtocart").hide();
                            var uqty = jQuery("#cart-item-"+response+"-qty").val();
                           // alert(uqty);
                            jQuery("#updatedqty<?php echo $productId;?>").val(uqty);
                            jQuery("#qute<?php echo $productId;?>").val('');
                            jQuery("#qute<?php echo $productId;?>").val(response);
                         }else{
                            jQuery("#cutomqtysection").hide();
                            jQuery("#customaddtocart").show();
                            jQuery("#qute<?php echo $productId;?>").val('');
                         }
                         
                      }
                  
              });
            },500 );
         }


	});
</script>


